#include <sta/debug/printing/printable_printf.hpp>
#include <sta/debug/assert.hpp>

#include <sta/config.hpp>
#ifdef STA_PLATFORM_ARDUINO
#   include <stdio.h>
#else
#   include <cstdio>
#endif // STA_PLATFORM_ARDUINO

namespace sta
{
    PrintablePrintf::PrintablePrintf()
    {

    }

    void PrintablePrintf::print(const char * str, size_t length)
    {
        STA_ASSERT(str != nullptr);
        STA_ASSERT(length > 0);

        printf("%.*s", length, str);
    }
} // namespace sta
